/******************************************************************************
;  *       @型号                 : MC51F7424
;  *       @创建日期             : 2023.02.01
;  *       @公司/作者            : SINOMCU.COM-AE
;  *       @晟矽微官网           : http://www.sinomcu.com/
;  *       @版权                 : 晟矽微电 版权所有.
;  *----------------------摘要描述---------------------------------
;  *  系统时钟及定时器时基定义;ADC参考源选择;
;  *  printf是否重定向到串口,串口波特率.
******************************************************************************/

// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H

#define INT_1600mV_TYPE 1620 /*unit mV*/

#define FSYS_CLOCK      24000000
#define FULL_SCALE      4095      /*ADC 12Bit*/ 
#define TIM_TICK_1MS    1000

// <o> VDD User
// <i> unit mV,MCU actul power
#define VDD_USER        3300      /*unit mV*/

// <o> Vref Select
// <i> ADC Vref select
// <0=>  VDD,Gain =1
// <1=>  internal 1.6V,Gain =0.5
#define VREF_SOURCE  0  

#if (VREF_SOURCE == 1) 
#define VREF_mV    INT_1600mV_TYPE
#else
#define VREF_mV    VDD_USER
#endif

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART   1         /*1:Retargets printf to USART,0 or not define:printf null out*/
// </c>

// <o> Baud Rate
// <i> select uart baud rate
// <0=>    2400
// <1=>    4800
// <2=>    9600
// <3=>    115200
#define UART_BAUD_RATE  3  

#if (UART_BAUD_RATE == 3) 
#define BAUD_RATE  115200 
#elif (UART_BAUD_RATE == 2) 
#define BAUD_RATE  9600 
#elif (UART_BAUD_RATE == 1) 
#define BAUD_RATE  4800  
#else
#define BAUD_RATE  2400 
#endif

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
